> ## Name

> cgGetAutoCompile - get the auto-compile enumerant for a context

> ## Synopsis

>     #include <Cg/cg.h>

>     CGenum cgGetAutoCompile( CGcontext context );

> ## Parameters

> context
>   The context.

> ## Return Values

> Returns the auto-compile enumerant for context.

> Returns CG_UNKNOWN if context is not a valid context.

> ## Description

> cgGetAutoCompile returns the auto-compile enumerant for context. See cgSetAutoCompile for more information.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> ## History

> cgGetAutoCompile was introduced in Cg 1.4.

> ## See Also

> cgSetAutoCompile